#include <controllerwindow.h>
#include <QApplication>
#include <QDebug>
#include <unistd.h>
#include <QMessageBox>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    // 未来支持API
    QStringList args = a.arguments();
    if (args.size() > 1) {
        qDebug() << "args:" << args;
    }
    bool isRunAsRoot = getuid() == 0 ? true : false;
    if (isRunAsRoot)
    {
        QMessageBox::warning(nullptr, "警告", "您正在以root权限运行该程序，提醒您：操作不谨慎，系统两行泪。");
    }
    else
    {
        QMessageBox::warning(nullptr, "警告", "如果要调整风扇曲线，请以root权限运行此程序。");
    }

    a.setApplicationName("UKUI-CpuPerf-Controller");
    ControllerWindow win(isRunAsRoot);
    win.show();
    return a.exec();
}
